| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.InputParametersControl Class Reference

Control for editing input parameter values. More...

Inheritance diagram for IG.Forms.InputParametersControl:
[legend]
Collaboration diagram for IG.Forms.InputParametersControl:
[legend]

## Public Member Functions
| InputParametersControl ()
DataGridView | GetGridControl ()
| Returns the DataGridView control that is used for setting values of the input parameters. More...
void | CopyDataToGrid ()
| Initializes contents of the DataGridView. More...
void | ClearCells ()
| Clears contents of all DataGridView cells. More...
void | ClearDataGrid ()
| Removes all the data from the DataGridView. More...
void | ResetToDefault ()
void | ResetToCenter ()
void | SetValues (IVector values)
| Sets the values of input parameters on the DataViewGrid to the elements of the specified vector. More...
void | ShowContextMenuControl (object sender, MouseEventArgs e)

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
int | _colNumValue = 2
Vector | _values

## Properties
InputOutputDataDefiniton | DataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
int | ColNumValue`[get]`
| Number of DataGrid Column that contains the value. More...
int | NumValues`[get]`
| Current number of values, otained form the DataGridView. More...
IVector | Values`[get, protected set]`
| Vector of current values of input parameters as defined by the DadaGridView. More...

## Private Member Functions
void | InputParametersControl_MouseClick (object sender, MouseEventArgs e)
void | dGridInputParam_MouseClick (object sender, MouseEventArgs e)
void | btnResetDefault_Click (object sender, EventArgs e)
void | btnResetCenter_Click (object sender, EventArgs e)
void | resetToDefaultToolStripMenuItem_Click (object sender, EventArgs e)
void | resetToCenterToolStripMenuItem_Click (object sender, EventArgs e)
void | dGridInputParam_CellValueChanged (object sender, DataGridViewCellEventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
InputOutputDataDefiniton | _dataDefinition
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | groupBox1
System.Windows.Forms.DataGridView | dGridInputParam
System.Windows.Forms.Button | btnResetDefault
System.Windows.Forms.Button | btnResetCenter
System.Windows.Forms.ContextMenuStrip | contextMenuControl
System.Windows.Forms.ToolStripMenuItem | resetToDefaultToolStripMenuItem
System.Windows.Forms.ToolStripMenuItem | resetToCenterToolStripMenuItem
System.Windows.Forms.DataGridViewTextBoxColumn | columnId
System.Windows.Forms.DataGridViewTextBoxColumn | columnTitle
System.Windows.Forms.DataGridViewTextBoxColumn | columnValue

## Detailed Description

Control for editing input parameter values.

$A Igor Apr13 Mar16;

## Constructor & Destructor Documentation

IG.Forms.InputParametersControl.InputParametersControl | ( |  | ) |
| inline

## Member Function Documentation

DataGridView IG.Forms.InputParametersControl.GetGridControl | ( |  | ) |
| inline

Returns the DataGridView control that is used for setting values of the input parameters.

Returns

void IG.Forms.InputParametersControl.CopyDataToGrid | ( |  | ) |
| inline

Initializes contents of the DataGridView.

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputElementDefinition.DefaultValue, IG.Num.InputElementDefinition.DefaultValueDefined, IG.Num.InputOutputElementDefinition.ElementIndex, IG.Num.InputOutputElementDefinition.MaximalValue, IG.Num.InputOutputElementDefinition.MinimalValue, and IG.Num.InputOutputElementDefinition.Title.

void IG.Forms.InputParametersControl.ClearCells | ( |  | ) |
| inline

Clears contents of all DataGridView cells.

void IG.Forms.InputParametersControl.ClearDataGrid | ( |  | ) |
| inline

Removes all the data from the DataGridView.

void IG.Forms.InputParametersControl.ResetToDefault | ( |  | ) |
| inline

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputElementDefinition.DefaultValue, IG.Num.InputElementDefinition.DefaultValueDefined, IG.Num.InputOutputElementDefinition.MaximalValue, and IG.Num.InputOutputElementDefinition.MinimalValue.

void IG.Forms.InputParametersControl.ResetToCenter | ( |  | ) |
| inline

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputElementDefinition.DefaultValue, IG.Num.InputElementDefinition.DefaultValueDefined, IG.Num.InputOutputElementDefinition.MaximalValue, and IG.Num.InputOutputElementDefinition.MinimalValue.

void IG.Forms.InputParametersControl.SetValues | ( | IVector | values | ) |
| inline

Sets the values of input parameters on the DataViewGrid to the elements of the specified vector.

Parameters

  values | Vectors defining the values to be set.

void IG.Forms.InputParametersControl.ShowContextMenuControl | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline

void IG.Forms.InputParametersControl.InputParametersControl_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.dGridInputParam_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.btnResetDefault_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.btnResetCenter_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.resetToDefaultToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.resetToCenterToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParametersControl.dGridInputParam_CellValueChanged | ( | object | sender,
|  | DataGridViewCellEventArgs | e
| ) |  |
| inline private

References IG.Lib.Util.SleepSeconds().

override void IG.Forms.InputParametersControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.InputParametersControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.InputParametersControl._dataDefinition
| private

int IG.Forms.InputParametersControl._colNumValue = 2
| protected

Vector IG.Forms.InputParametersControl._values
| protected

System.ComponentModel.IContainer IG.Forms.InputParametersControl.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.InputParametersControl.groupBox1
| private

System.Windows.Forms.DataGridView IG.Forms.InputParametersControl.dGridInputParam
| private

System.Windows.Forms.Button IG.Forms.InputParametersControl.btnResetDefault
| private

System.Windows.Forms.Button IG.Forms.InputParametersControl.btnResetCenter
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.InputParametersControl.contextMenuControl
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.InputParametersControl.resetToDefaultToolStripMenuItem
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.InputParametersControl.resetToCenterToolStripMenuItem
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.InputParametersControl.columnId
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.InputParametersControl.columnTitle
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.InputParametersControl.columnValue
| private

## Property Documentation

InputOutputDataDefiniton IG.Forms.InputParametersControl.DataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

int IG.Forms.InputParametersControl.ColNumValue
| get

Number of DataGrid Column that contains the value.

int IG.Forms.InputParametersControl.NumValues
| get

Current number of values, otained form the DataGridView.

IVector IG.Forms.InputParametersControl.Values
| get protected set

Vector of current values of input parameters as defined by the DadaGridView.

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/Basic/InputParametersControl.cs
- extensions/iglibext/Forms/Numeric/FromNeural/Basic/InputParametersControl.Designer.cs